<?php

namespace Plainwork\Ui\Component;

final class Partial
{
    private string $hash;
    private $content;
    private $title;

    public function __construct(string $hash, $content = null, $title = null)
    {
        $this->hash = $hash;
        $this->content = $content;
        $this->title = $title;
    }

    public function getHash(): string
    {
        return $this->hash;
    }

    public function getContent()
    {
        return $this->content;
    }

    public function getTitle()
    {
        return $this->title;
    }
}
